Bug 102975 - perl-PDL as delivered has incorrect file permissions assigned
perl-PDL as delivered has incorrect file permissions assigned
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: perl-PDL (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-23 20:55 EDT by Scott R. Godin
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-17 19:57:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott R. Godin 2003-08-23 20:55:29 EDT
Description of problem: installed perl-PDL as part of a rebuild of gimp*.src.rpm
I was doing in order to enable gimp-remote. gimp-perl is built as part of the
src.rpm but is not shipped with rhl 9 for some reason.

However, perl-PDL is a prerequisite for the package. so be it, I rebuilt and
installed via rpm -ivh gimp-*.rpm after up2date supplied perl-PDL

only one problem: permissions on every single directory in the hierarchy were
wrong. all the script-fu perl modules for gimp puked in the background every
time gimp loaded. removing perl-PDL and gimp-perl solved one problem but doesn't
excuse the bad permissions on the dirs. 



Version-Release number of selected component (if applicable):

perl-PDL-2.3.4-4

How reproducible:

easy

Steps to Reproduce:
1. rpm -ivh gimp-1.2.3-16.src.rpm (as downloaded from
ftp://redhat.newaol.com/pub/redhat/linux/9/en/os/i386/SRPMS/

1a. install its prerequisites via up2date (perl-PDL and Gtk-Perl) 

2. edit the spec with the patch released to bug
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=85344

3. rpm -bs /usr/src/redhat/SPECS/gimp.spec

4. rpmbuild --rebuild gimp-1.2.3-17.*src.rpm

5. rpm -ivh /usr/src/redhat/RPMS/gimp-*
    
Actual results:
6. rehash the shell, and run gimp from an xterm. watch all the fun happy error
messages from PDL::Core not being able to load for the gimp-perl script modules

7. try perldoc PDL::Core and watch that fail too, from permission errors. 

8. find /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/PDL -type d
-exec ls -ld {} \; and note that the directory permissions are all -drwx------
and should not be. there may be other errors with this rpm, but I am unable to
determine that at this time. 

fixing the directory permissions did NOT fix the problems with the gimp-perl
scripts being unable to access the perl modules, either. 

Expected results:
a fully working install with no errors. 

Additional info:

I realize this is the long way around and you could simply up2date -i perl-PDL
and then try and perldoc PDL::Core to get this error message, but I wanted to
show just how much hell I'd gone through this afternoon only to find this
insanity too. 

'nother bug caught. I hope the perl-PDL fix gets released as errata for RHL 9,
as I would love to play with these scripts for gimp without having to wait for a
new distro release.

hope this helps.
Comment 1 Warren Togami 2005-05-17 19:57:43 EDT
This is likely fixed in FC4.

Note You need to log in before you can comment on or make changes to this bug.